'\"
'\" Generated from file '/usr/src/RPM/BUILD/tkabber-1.1.2/files/xmpp_xml.n' by tcllib/doctools with format 'nroff'
'\" Copyright (c) 2008-2014 Sergei Golovan <sgolovan@nes.ru>
'\"
'\" The definitions below are for supplemental macros used in Tcl/Tk
'\" manual entries.
'\"
'\" .AP type name in/out ?indent?
'\"	Start paragraph describing an argument to a library procedure.
'\"	type is type of argument (int, etc.), in/out is either "in", "out",
'\"	or "in/out" to describe whether procedure reads or modifies arg,
'\"	and indent is equivalent to second arg of .IP (shouldn't ever be
'\"	needed;  use .AS below instead)
'\"
'\" .AS ?type? ?name?
'\"	Give maximum sizes of arguments for setting tab stops.  Type and
'\"	name are examples of largest possible arguments that will be passed
'\"	to .AP later.  If args are omitted, default tab stops are used.
'\"
'\" .BS
'\"	Start box enclosure.  From here until next .BE, everything will be
'\"	enclosed in one large box.
'\"
'\" .BE
'\"	End of box enclosure.
'\"
'\" .CS
'\"	Begin code excerpt.
'\"
'\" .CE
'\"	End code excerpt.
'\"
'\" .VS ?version? ?br?
'\"	Begin vertical sidebar, for use in marking newly-changed parts
'\"	of man pages.  The first argument is ignored and used for recording
'\"	the version when the .VS was added, so that the sidebars can be
'\"	found and removed when they reach a certain age.  If another argument
'\"	is present, then a line break is forced before starting the sidebar.
'\"
'\" .VE
'\"	End of vertical sidebar.
'\"
'\" .DS
'\"	Begin an indented unfilled display.
'\"
'\" .DE
'\"	End of indented unfilled display.
'\"
'\" .SO
'\"	Start of list of standard options for a Tk widget.  The
'\"	options follow on successive lines, in four columns separated
'\"	by tabs.
'\"
'\" .SE
'\"	End of list of standard options for a Tk widget.
'\"
'\" .OP cmdName dbName dbClass
'\"	Start of description of a specific option.  cmdName gives the
'\"	option's name as specified in the class command, dbName gives
'\"	the option's name in the option database, and dbClass gives
'\"	the option's class in the option database.
'\"
'\" .UL arg1 arg2
'\"	Print arg1 underlined, then print arg2 normally.
'\"
'\" RCS: @(#) $Id$
'\"
'\"	# Set up traps and other miscellaneous stuff for Tcl/Tk man pages.
.if t .wh -1.3i ^B
.nr ^l \n(.l
.ad b
'\"	# Start an argument description
.de AP
.ie !"\\$4"" .TP \\$4
.el \{\
.   ie !"\\$2"" .TP \\n()Cu
.   el          .TP 15
.\}
.ta \\n()Au \\n()Bu
.ie !"\\$3"" \{\
\&\\$1	\\fI\\$2\\fP	(\\$3)
.\".b
.\}
.el \{\
.br
.ie !"\\$2"" \{\
\&\\$1	\\fI\\$2\\fP
.\}
.el \{\
\&\\fI\\$1\\fP
.\}
.\}
..
'\"	# define tabbing values for .AP
.de AS
.nr )A 10n
.if !"\\$1"" .nr )A \\w'\\$1'u+3n
.nr )B \\n()Au+15n
.\"
.if !"\\$2"" .nr )B \\w'\\$2'u+\\n()Au+3n
.nr )C \\n()Bu+\\w'(in/out)'u+2n
..
.AS Tcl_Interp Tcl_CreateInterp in/out
'\"	# BS - start boxed text
'\"	# ^y = starting y location
'\"	# ^b = 1
.de BS
.br
.mk ^y
.nr ^b 1u
.if n .nf
.if n .ti 0
.if n \l'\\n(.lu\(ul'
.if n .fi
..
'\"	# BE - end boxed text (draw box now)
.de BE
.nf
.ti 0
.mk ^t
.ie n \l'\\n(^lu\(ul'
.el \{\
.\"	Draw four-sided box normally, but don't draw top of
.\"	box if the box started on an earlier page.
.ie !\\n(^b-1 \{\
\h'-1.5n'\L'|\\n(^yu-1v'\l'\\n(^lu+3n\(ul'\L'\\n(^tu+1v-\\n(^yu'\l'|0u-1.5n\(ul'
.\}
.el \}\
\h'-1.5n'\L'|\\n(^yu-1v'\h'\\n(^lu+3n'\L'\\n(^tu+1v-\\n(^yu'\l'|0u-1.5n\(ul'
.\}
.\}
.fi
.br
.nr ^b 0
..
'\"	# VS - start vertical sidebar
'\"	# ^Y = starting y location
'\"	# ^v = 1 (for troff;  for nroff this doesn't matter)
.de VS
.if !"\\$2"" .br
.mk ^Y
.ie n 'mc \s12\(br\s0
.el .nr ^v 1u
..
'\"	# VE - end of vertical sidebar
.de VE
.ie n 'mc
.el \{\
.ev 2
.nf
.ti 0
.mk ^t
\h'|\\n(^lu+3n'\L'|\\n(^Yu-1v\(bv'\v'\\n(^tu+1v-\\n(^Yu'\h'-|\\n(^lu+3n'
.sp -1
.fi
.ev
.\}
.nr ^v 0
..
'\"	# Special macro to handle page bottom:  finish off current
'\"	# box/sidebar if in box/sidebar mode, then invoked standard
'\"	# page bottom macro.
.de ^B
.ev 2
'ti 0
'nf
.mk ^t
.if \\n(^b \{\
.\"	Draw three-sided box if this is the box's first page,
.\"	draw two sides but no top otherwise.
.ie !\\n(^b-1 \h'-1.5n'\L'|\\n(^yu-1v'\l'\\n(^lu+3n\(ul'\L'\\n(^tu+1v-\\n(^yu'\h'|0u'\c
.el \h'-1.5n'\L'|\\n(^yu-1v'\h'\\n(^lu+3n'\L'\\n(^tu+1v-\\n(^yu'\h'|0u'\c
.\}
.if \\n(^v \{\
.nr ^x \\n(^tu+1v-\\n(^Yu
\kx\h'-\\nxu'\h'|\\n(^lu+3n'\ky\L'-\\n(^xu'\v'\\n(^xu'\h'|0u'\c
.\}
.bp
'fi
.ev
.if \\n(^b \{\
.mk ^y
.nr ^b 2
.\}
.if \\n(^v \{\
.mk ^Y
.\}
..
'\"	# DS - begin display
.de DS
.RS
.nf
.sp
..
'\"	# DE - end display
.de DE
.fi
.RE
.sp
..
'\"	# SO - start of list of standard options
.de SO
.SH "STANDARD OPTIONS"
.LP
.nf
.ta 4c 8c 12c
.ft B
..
'\"	# SE - end of list of standard options
.de SE
.fi
.ft R
.LP
See the \\fBoptions\\fR manual entry for details on the standard options.
..
'\"	# OP - start of full description for a single option
.de OP
.LP
.nf
.ta 4c
Command-Line Name:	\\fB\\$1\\fR
Database Name:	\\fB\\$2\\fR
Database Class:	\\fB\\$3\\fR
.fi
.IP
..
'\"	# CS - begin code excerpt
.de CS
.RS
.nf
.ta .25i .5i .75i 1i
..
'\"	# CE - end code excerpt
.de CE
.fi
.RE
..
.de UL
\\$1\l'|0\(ul'\\$2
..
.TH "xmpp::man" n 0.1 doc "Tcl XMPP library"
.BS
.SH NAME
xmpp::man \- XML parser wrapper
.SH SYNOPSIS
package require \fBTcl  8.3\fR
.sp
package require \fBmsgcat \fR
.sp
package require \fBtdom  0.8\fR
.sp
package require \fBxmpp::xml  ?0.1?\fR
.sp
\fB::xmpp::xml::new\fR \fIstreamHeaderCmd\fR \fIstreamTrailerCmd\fR \fIstanzaCmd\fR
.sp
\fB::xmpp::xml::free\fR \fItoken\fR
.sp
\fB::xmpp::xml::parser\fR \fItoken\fR \fIcommand\fR ?\fIargs\fR?
.sp
\fB::xmpp::xml::reset\fR \fItoken\fR
.sp
\fB::xmpp::xml::parseData\fR \fIdata\fR ?\fIstanzaComd\fR?
.sp
\fB::xmpp::xml::create\fR \fItag\fR ?\fI-xmlns xmlns\fR? ?\fI-attrs attrs\fR? ?\fI-cdata cdata\fR? ?\fI-subelement subelement\fR? ?\fI-subelements subelementsList\fR?
.sp
\fB::xmpp::xml::split\fR \fIxmlelement\fR \fItagVar\fR \fIxmlnsVar\fR \fIattrsVar\fR \fIcdataVar\fR \fIsubelsVar\fR ?\fInextCdataVar\fR?
.sp
\fB::xmpp::xml::merge\fR \fItag\fR \fIxmlns\fR \fIattrs\fR \fIcdata\fR \fIsubels\fR ?\fInextCdata\fR?
.sp
\fB::xmpp::xml::isAttr\fR \fIattrList\fR \fIattrName\fR
.sp
\fB::xmpp::xml::getAttr\fR \fIattrList\fR \fIattrName\fR
.sp
\fB::xmpp::xml::getCdata\fR \fIxmlElement\fR
.sp
\fB::xmpp::xml::getFirstCdata\fR \fIxmlElement\fR
.sp
\fB::xmpp::xml::getNextCdata\fR \fIxmlElement\fR
.sp
\fB::xmpp::xml::streamHeader\fR \fIserver\fR \fI-xmlns:stream uri\fR \fI-xmlns uri\fR ?\fI-xml:lang lang\fR? ?\fI-version ver\fR?
.sp
\fB::xmpp::xml::streamTrailer\fR
.sp
\fB::xmpp::xml::lang\fR
.sp
\fB::xmpp::xml::toText\fR \fIxmlElement\fR ?\fIparentNamespace\fR?
.sp
\fB::xmpp::xml::toTabbedText\fR \fIxmlElement\fR ?\fIparentNamespace\fR?
.sp
.BE
.SH DESCRIPTION
.PP
This module is part of the XMPP library. It implements XML parsing and
working with.
.SH COMMANDS
.TP
\fB::xmpp::xml::new\fR \fIstreamHeaderCmd\fR \fIstreamTrailerCmd\fR \fIstanzaCmd\fR
Create new XMPP stream parser.
.TP
\fB::xmpp::xml::free\fR \fItoken\fR
Frees XMPP parser resources.
.TP
\fB::xmpp::xml::parser\fR \fItoken\fR \fIcommand\fR ?\fIargs\fR?
Execute a given command.
.TP
\fB::xmpp::xml::reset\fR \fItoken\fR
Reset XMPP stream parser.
.TP
\fB::xmpp::xml::parseData\fR \fIdata\fR ?\fIstanzaComd\fR?
Parse given data using a new XML parser and either return parsed XML
or call the callback on every top level XML element.
.TP
\fB::xmpp::xml::create\fR \fItag\fR ?\fI-xmlns xmlns\fR? ?\fI-attrs attrs\fR? ?\fI-cdata cdata\fR? ?\fI-subelement subelement\fR? ?\fI-subelements subelementsList\fR?
Create XML element.
.TP
\fB::xmpp::xml::split\fR \fIxmlelement\fR \fItagVar\fR \fIxmlnsVar\fR \fIattrsVar\fR \fIcdataVar\fR \fIsubelsVar\fR ?\fInextCdataVar\fR?
Split XML data into five or six variables.
.TP
\fB::xmpp::xml::merge\fR \fItag\fR \fIxmlns\fR \fIattrs\fR \fIcdata\fR \fIsubels\fR ?\fInextCdata\fR?
Merge five or six variables into an XML element.
.TP
\fB::xmpp::xml::isAttr\fR \fIattrList\fR \fIattrName\fR
Check if a given attribute list contains a given attribute.
.TP
\fB::xmpp::xml::getAttr\fR \fIattrList\fR \fIattrName\fR
Return a given attribute value from an attribute list.
.TP
\fB::xmpp::xml::getCdata\fR \fIxmlElement\fR
Return all character data from a given element.
.TP
\fB::xmpp::xml::getFirstCdata\fR \fIxmlElement\fR
Return character data chunk which is located before the first XML subelement
in a given element.
.TP
\fB::xmpp::xml::getNextCdata\fR \fIxmlElement\fR
Return character data chunk which is located after the given XML element.
.TP
\fB::xmpp::xml::streamHeader\fR \fIserver\fR \fI-xmlns:stream uri\fR \fI-xmlns uri\fR ?\fI-xml:lang lang\fR? ?\fI-version ver\fR?
Return XMPP stream header.
.TP
\fB::xmpp::xml::streamTrailer\fR
Return XMPP stream trailer.
.TP
\fB::xmpp::xml::lang\fR
Return XML language string derived from msgcat preferences.
.TP
\fB::xmpp::xml::toText\fR \fIxmlElement\fR ?\fIparentNamespace\fR?
Serialize a given XML element.
.TP
\fB::xmpp::xml::toTabbedText\fR \fIxmlElement\fR ?\fIparentNamespace\fR?
Serialize a given XML element adding indentations.
.PP
.SH AUTHORS
Sergei Golovan
.SH KEYWORDS
Tcl, XML, XMPP
.SH COPYRIGHT
.nf
Copyright (c) 2008-2014 Sergei Golovan <sgolovan@nes.ru>

.fi